{pkgs, ...}: 
{
  programs.vscode = {
    enable = true;

    extensions = with pkgs.vscode-extensions; [
      # QOL
      mhutchie.git-graph
      redhat.vscode-yaml
      github.copilot

      # python
      ms-python.python
      ms-python.isort
      ms-python.debugpy
      ms-python.vscode-pylance

      # Nix language
      jnoortheen.nix-ide
    ];
  };
}
